Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1045244 - [Doc] [GSG] Steps for OStack Repository Configuration don't work, req extra step
Summary: [Doc] [GSG] Steps for OStack Repository Configuration don't work, req extra step
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Getting_Started_Guide
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 4.0
Assignee: Bruce Reeler
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1045248
TreeView+ depends on / blocked
 
Reported: 2013-12-20 01:47 UTC by Bruce Reeler
Modified: 2016-04-26 20:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1045248 (view as bug list)
Environment:
Last Closed: 2014-03-04 00:04:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bruce Reeler 2013-12-20 01:47:16 UTC
== Description of problem:
Reported by pmyers at 4.0 release.
(a similar bug has been created for ICG)
In section "2.1.2.4 Red Hat OpenStack Repository Configuration", steps 5 and 6 should be swapped, because yum-plugin-priorities is only available in RHEL OSP repos:

step "5. Install the yum-plugin-priorities package. The yum-plugin-priorities package provides a yum plug-in allowing configuration of per-repository priorities. "

should come AFTER:

step "6. Use the yum-config-manager command to set the priority of the Red Hat Enterprise Linux OpenStack Platform software repository to 1. This is the ..."


== Version-Release number of selected component (if applicable):
RC


== Actual results:
Install the yum-plugin-priorities comes before yum-config-manager --enable REPO_NAME command.


== Expected results:
Install the yum-plugin-priorities should come AFTER yum-config-manager --enable REPO_NAME command.

Comment 2 Bruce Reeler 2013-12-20 02:18:46 UTC
Actually, steps in comment 0 are wrong. The 2 existing steps in comment 0 should be split into 3:

In section "2.1.2.4 Red Hat OpenStack Repository Configuration", steps 5 and 6 should be rewritten as 3 steps, because yum-plugin-priorities is only available in RHEL OSP repos, so setting the OPT priority to 1 has to be done after installing yum-plugin-priorities:

Order of steps should be:
 yum-config-manager --enable rhel-6-server-openstack-4.0-rpms
 yum install -y yum-plugin-priorities
 yum-config-manager --enable rhel-6-server-openstack-4.0-rpms --setopt="rhel-6-server-openstack-4.0-rpms.priority=1"

[11:49] <pmyers> if you try to do the 3rd command in that sequence first, it won't work properly because you're asking to set an opt that doesn't exist until after you install y-p-p


== Version-Release number of selected component (if applicable):
RC


== Actual results:
Install the yum-plugin-priorities comes before yum-config-manager --enable REPO_NAME command.


== Expected results:
additional step to first enable rhel-6-server-openstack-4.0-rpms, then 
install the yum-plugin-priorities, then 
"yum-config-manager --enable rhel-6-server-openstack-4.0-rpms --setopt..." command

Comment 3 Bruce Reeler 2013-12-24 01:49:07 UTC
Added extra step (now step 5) before "yum install -y yum-plugin-priorities" as per comment 2.

Comment 4 Summer Long 2014-01-21 05:05:24 UTC
Still needs tech review and QA, moving to A2.


Note You need to log in before you can comment on or make changes to this bug.